% petit script pour comparer les deux critres de Von Mises et de Tresca.
n=5000;
h1=pi/4/(fix(n/4));
h2=pi/2/(fix(n/2));
x1=0:h1:pi/4;
x2=pi/4:h1:pi/2;
x3=pi/2:h2:pi;
X=[x1 x2 x3];
y1=1./cos(x1);
y2=1./sin(x2);
y3=1./abs(cos(x3)-sin(x3));
t1=[y1 y2 y3];
t2=sqrt(1./abs(1-(sin(2*X))/2));
eccart=abs((t2-t1)./t1);
plot(X,t1,X,t2);
legend('Tresca','Von Mises',0);
print -depsc comparaisontrescamis.eps;
pause;
plot(X,eccart);
legend('cart relatif entre Tresca et Von Mises');
print -depsc ecarttrescamis.eps;
